﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для DeleteEncouragementWindow.xaml
    /// </summary>
    public partial class DeleteEncouragementWindow : Window
    {
        public DeleteEncouragementWindow()
        {
            InitializeComponent();
            gr672_bdaEntities db = new gr672_bdaEntities();
            cmbEncouragement.ItemsSource = db.Encouragement.ToList();
            cmbEncouragement.DisplayMemberPath = "NameTypeEncouragement";
            cmbEncouragement.SelectedValuePath = "IdEncouragement"; 
        }

        private void DeleteClick(object sender, RoutedEventArgs e)
        {
            if (cmbEncouragement != null)
            {
                gr672_bdaEntities db = new gr672_bdaEntities();
                int num = Convert.ToInt32(cmbEncouragement.SelectedValue.ToString());
                var dRow = db.Encouragement.Where(w => w.IdEncouragement == num).FirstOrDefault();              
                db.Encouragement.Remove(dRow);                
                db.SaveChanges();
                MessageBox.Show("Данные удалены!");
            }
            else 
            {
                MessageBox.Show("Сначала выберете, для удаления");
            }
           
            
        }

        private void CancelClick(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
