﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для EncouragementPage.xaml
    /// </summary>
    public partial class EncouragementPage : Page
    {
        gr672_bdaEntities db = new gr672_bdaEntities();
        public EncouragementPage()
        {
            InitializeComponent();
            
        }
        private void LoadedWindows(object sender, RoutedEventArgs e)
        {            
            Encouragementgrid.ItemsSource = db.Encouragement.ToList();
        }

        private void InsertEncouragementClick(object sender, RoutedEventArgs e)
        {
            InsertEncouragementWindow openwin = new InsertEncouragementWindow();
            openwin.Show();

        }

        private void UpdateEncouragementClick(object sender, RoutedEventArgs e)
        {
            Encouragement enc = (Encouragement)Encouragementgrid.SelectedItem;
            if (enc != null)
            {
                db.SaveChanges();
                MessageBox.Show("Данные изменены");
            }
            else
            {
                MessageBox.Show("Не выбрана строка");
            }
        }

        private void DeleteEncouragementClick(object sender, RoutedEventArgs e)
        {
            DeleteEncouragementWindow openwin = new DeleteEncouragementWindow();
            openwin.Show();
        }

        private void UpdateClick(object sender, RoutedEventArgs e)
        {            
            Encouragementgrid.ItemsSource = db.Encouragement.ToList();
            this.Encouragementgrid.Items.Refresh();
        }
    }
}
