﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для ListStudentPage.xaml
    /// </summary>
    public partial class ListStudentPage : Page
    {
        gr672_bdaEntities db = new gr672_bdaEntities();
        public ListStudentPage()
        {
            InitializeComponent();
            
        }
        private void LoadedWindows(object sender, RoutedEventArgs e)
        {            
            Studentgrid.ItemsSource = db.Student.ToList();  
        }

        private void FullInformation_Click(object sender, RoutedEventArgs e)
        {
            Student stud = (Student)Studentgrid.SelectedItem;
            if (stud != null)
            {
                FramePage.MainFrame.Navigate(new FullInformationStudentPage(stud.IdStudent));
            }
            else 
            {
                MessageBox.Show("Не выбрана строка!");
            }
        }

        private void insertStudent_Click(object sender, RoutedEventArgs e)
        {
            FramePage.MainFrame.Navigate(new FullInformationStudentPage(null));
        }
    }
}
